> For the complete documentation index, see [llms.txt](https://docs.digibee.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digibee.com/documentation/release-notes/past-releases/release-notes-2022/july.md).

# July

## Release notes 07-19-2022

#### **NEW ACCESS CONTROL MODEL** <a href="#h_7f20d131d8" id="h_7f20d131d8"></a>

The new Users, Groups, and Roles pages are available for GA (general availability). This means they’re available to all users who have read permission.

**IMPORTANT:** the previous access management model has been progressively discontinued between 07/08/2022 and 07/18/2022.

To learn more about it, read our [documentation about the new access control model here](broken://pages/W9U7ozHVhFG9DdO7Xufh).

#### **GROUP INTEGRATIONS** <a href="#h_faf1109a4b" id="h_faf1109a4b"></a>

We’ve created a feature that allows a user with read-only permission to access the detail view on the Group Integrations page by clicking on the eye icon.

![](/files/EplV6fb8RiguFGqGREkV)

**IMPORTANT:** we’ll add this feature to other Platform pages soon.

We’ve also fixed a few bugs:

* **OAuth Provider (Beta):** we’ve fixed the bug that prevented the user from viewing the OAuth Provider (Beta) page on the Accounts page, even though he was authorized to do so.
* **Roles:** we’ve fixed the behavior of not returning results when performing searches that contain special characters on the Roles page.

## Release notes 07-05-2022

#### **FUNCTIONS** <a href="#h_bc9d27318a" id="h_bc9d27318a"></a>

* **STRINGMATCHES:** this function allows you to search for values within a String based on a Regex, returning the results found in an array.

  Read the [string functions documentation here](broken://pages/lGnMuqfuP8UepslXfboD).

#### **NEW ACCESS CONTROL MODEL** <a href="#h_75e31cd102" id="h_75e31cd102"></a>

The new Users, Groups, and Roles pages have been released for GA (general availability). This means all users have access to it now. The previous access control model and the old Users page will be discontinued on 07/08/2022.

To learn more, read our [new access control model documentation here](broken://pages/W9U7ozHVhFG9DdO7Xufh).

We’ve also fixed a bug:

* **Test mode:** we’ve fixed a bug that prevented the user from viewing and saving some pipelines after updating messages in Test mode. Read the full [test mode documentation here](broken://pages/S9AHzr7KJ77eqw4BfCFf).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digibee.com/documentation/release-notes/past-releases/release-notes-2022/july.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
